Subject: bug report
From: [email-masked] ("p.a.c.tavares")

17 Feb 1997 11:10:24 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Cygwin List)
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

The following code works fine in a HP system (using gcc 2.7.2), calling 
the correct "Column" contructor with the right arguments

int Table::init(int line,int col,double fill_value)
{
   n_lines = line;
   n_cols = col;
   if (pt) delete [] pt;
   pt = new Column[col](line,fill_value);
   if (pt == NULL) return 1;
   return 0;
}

However under cygwin, in spite of compiling fine it calls (according 
to gdb) the correct column constructor "Column::Column(int,double) but all 
the arguments show up as 0 (including the int which results in a lenght 0 
column being created). The form of this contructor is I believe 
irrelevant but here it is anyway. A check of the value of 'size' in the 
first line of the function tells that size=0 (when it was called with a 
positive number by Table::init(int,double),

Column::Column(int size,double fill_value)
{
	len = size;
	val = new float [len];
	while (size > 0) val[--size] = fill_value;
}

I am using gcc in a win95 system, 486 with 16Mb. the options of the 
compiler are -gstabs+ and a -I entry. The libraries are, -lstdc++ -lg++ 
-lm -lpact (the last being my own library)

----------------------------------------------------------------------------
Pedro A.C. Tavares <[email-masked]>

Superconducting Devices Group         Tel: +44-141-548 3151
Dept. of Physics & Applied Physics    Fax: +44-141-552 7143
University of Strathclyde             For PGP public key: "finger
Glasgow, UK                               [email-masked]"
----------------------------------------------------------------------------
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".